Subject: Re: libtools patch for Linux/dash
To: None <>
From: Aleksey Cheusov <>
List: tech-pkg
Date: 09/01/2006 14:47:39
> On Fri, Sep 01, 2006 at 01:28:13PM +0300, Aleksey Cheusov wrote:
 >> Because of unstandard DASH extensions (suggested as a /bin/sh by
 >> debian/sarge) pkgsrc becomes totally broken.

> Let me put it this way: the shell is obviously completely broken.
> Period. I'd suggest to stay with the classic ash anyway :-)

debian doesn't provide package for classic ash, ASH packages in it is
"Compatibility package for the Debian Almquist Shell".
So, I'm not sure that Debian startup scripts work with classic ash correctly
even if If I install it from sources.

If you really prefer to support pkgsrc on "coherent" platforms only,
modify pkgsrc guide section 3.3.5 and mention that DASH is NOT compatible
with pkgsrc version of libtool.

Best regards, Aleksey Cheusov.